package sgr

import "git.sr.ht/~rj/sgr/internal/palette"

// Color represents a 4-bit "standard" color from the ANSI specification.
// The color can be used to set the foreground or background color for text.
type Color uint8

// The following colors are the standard color provided by the ANSI
// standard.
const (
	Black Color = iota
	Red
	Green
	Yellow // Also known as brown.  Try BrightYellow.
	Blue
	Magenta
	Cyan
	White
	Default Color = 9

	Gray      Color = 51 + iota // Also known as bright black
	BrightRed                   // Also known as pink
	BrightGreen
	BrightYellow
	BrightBlue
	BrightMagenta
	BrightCyan
	BrightWhite
)

// PaletteColor represents an 8-bit color from the ANSI specification.
// The color can be used to set the foreground or background color for text.
type PaletteColor uint8

func (c PaletteColor) RGBA() (r, g, b, a uint32) {
	return palette.Palette[int(c)].RGBA()
}
