package plot

import (
	"os"
	"strings"
)

var (
	haveUTF8 = strings.HasSuffix(os.Getenv("LANG"), "UTF-8")
)

// OverrideHaveUTF8 overrides the package's decision about whether the terminal
// supports unicode.  Unicode support is checked by inspecting the environment
// variable LANG.  Users should not typically call this function except for
// testing.
func OverrideHaveUTF8(v bool) {
	haveUTF8 = v
}
